import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ShoppingVendorCreateManyUserInputObjectSchema as ShoppingVendorCreateManyUserInputObjectSchema } from './ShoppingVendorCreateManyUserInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => ShoppingVendorCreateManyUserInputObjectSchema), z.lazy(() => ShoppingVendorCreateManyUserInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const ShoppingVendorCreateManyUserInputEnvelopeObjectSchema: z.ZodType<Prisma.ShoppingVendorCreateManyUserInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorCreateManyUserInputEnvelope>;
export const ShoppingVendorCreateManyUserInputEnvelopeObjectZodSchema = makeSchema();
